# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM    = $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = gcc
CXX = g++
AR  = ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

MAKEFILE = bx.make

ifeq ($(config),debug)
  OBJDIR              = obj/Debug/bx
  TARGETDIR           = ../../../thirdparty/bx/scripts
  TARGET              = $(TARGETDIR)/libbxDebug.a
  DEFINES            += -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS -D_DEBUG -DBX_CONFIG_DEBUG=1
  INCLUDES           += -I"../../../thirdparty/bx/include" -I"../../../thirdparty/bx/3rdparty"
  ALL_CPPFLAGS       += $(CPPFLAGS) -MMD -MP -MP $(DEFINES) $(INCLUDES)
  ALL_ASMFLAGS       += $(ASMFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_CFLAGS         += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_CXXFLAGS       += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -std=c++14 -fno-rtti -fno-exceptions -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_OBJCFLAGS      += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_OBJCPPFLAGS    += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -std=c++14 -fno-rtti -fno-exceptions -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_RESFLAGS       += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS        += $(LDFLAGS) -L"." -Wl,--gc-sections -Wl,--as-needed
  LIBDEPS            +=
  LDDEPS             +=
  LDRESP              =
  LIBS               += $(LDDEPS) -lrt -ldl
  EXTERNAL_LIBS      +=
  LINKOBJS            = $(OBJECTS)
  LINKCMD             = $(AR)  -rcs $(TARGET)
  OBJRESP             =
  OBJECTS := \
	$(OBJDIR)/thirdparty/bx/src/allocator.o \
	$(OBJDIR)/thirdparty/bx/src/bx.o \
	$(OBJDIR)/thirdparty/bx/src/commandline.o \
	$(OBJDIR)/thirdparty/bx/src/crtnone.o \
	$(OBJDIR)/thirdparty/bx/src/debug.o \
	$(OBJDIR)/thirdparty/bx/src/dtoa.o \
	$(OBJDIR)/thirdparty/bx/src/easing.o \
	$(OBJDIR)/thirdparty/bx/src/file.o \
	$(OBJDIR)/thirdparty/bx/src/filepath.o \
	$(OBJDIR)/thirdparty/bx/src/hash.o \
	$(OBJDIR)/thirdparty/bx/src/math.o \
	$(OBJDIR)/thirdparty/bx/src/mutex.o \
	$(OBJDIR)/thirdparty/bx/src/os.o \
	$(OBJDIR)/thirdparty/bx/src/process.o \
	$(OBJDIR)/thirdparty/bx/src/semaphore.o \
	$(OBJDIR)/thirdparty/bx/src/settings.o \
	$(OBJDIR)/thirdparty/bx/src/sort.o \
	$(OBJDIR)/thirdparty/bx/src/string.o \
	$(OBJDIR)/thirdparty/bx/src/thread.o \
	$(OBJDIR)/thirdparty/bx/src/timer.o \
	$(OBJDIR)/thirdparty/bx/src/url.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR              = obj/Release/bx
  TARGETDIR           = ../../../thirdparty/bx/scripts
  TARGET              = $(TARGETDIR)/libbxRelease.a
  DEFINES            += -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS -DNDEBUG
  INCLUDES           += -I"../../../thirdparty/bx/include" -I"../../../thirdparty/bx/3rdparty"
  ALL_CPPFLAGS       += $(CPPFLAGS) -MMD -MP -MP $(DEFINES) $(INCLUDES)
  ALL_ASMFLAGS       += $(ASMFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_CFLAGS         += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_CXXFLAGS       += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -std=c++14 -fno-rtti -fno-exceptions -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_OBJCFLAGS      += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_OBJCPPFLAGS    += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -std=c++14 -fno-rtti -fno-exceptions -Wshadow -mfpmath=sse -msse2 -Wunused-value -Wundef -Wlogical-op -fPIC
  ALL_RESFLAGS       += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS        += $(LDFLAGS) -L"." -Wl,--gc-sections -Wl,--as-needed
  LIBDEPS            +=
  LDDEPS             +=
  LDRESP              =
  LIBS               += $(LDDEPS) -lrt -ldl
  EXTERNAL_LIBS      +=
  LINKOBJS            = $(OBJECTS)
  LINKCMD             = $(AR)  -rcs $(TARGET)
  OBJRESP             =
  OBJECTS := \
	$(OBJDIR)/thirdparty/bx/src/allocator.o \
	$(OBJDIR)/thirdparty/bx/src/bx.o \
	$(OBJDIR)/thirdparty/bx/src/commandline.o \
	$(OBJDIR)/thirdparty/bx/src/crtnone.o \
	$(OBJDIR)/thirdparty/bx/src/debug.o \
	$(OBJDIR)/thirdparty/bx/src/dtoa.o \
	$(OBJDIR)/thirdparty/bx/src/easing.o \
	$(OBJDIR)/thirdparty/bx/src/file.o \
	$(OBJDIR)/thirdparty/bx/src/filepath.o \
	$(OBJDIR)/thirdparty/bx/src/hash.o \
	$(OBJDIR)/thirdparty/bx/src/math.o \
	$(OBJDIR)/thirdparty/bx/src/mutex.o \
	$(OBJDIR)/thirdparty/bx/src/os.o \
	$(OBJDIR)/thirdparty/bx/src/process.o \
	$(OBJDIR)/thirdparty/bx/src/semaphore.o \
	$(OBJDIR)/thirdparty/bx/src/settings.o \
	$(OBJDIR)/thirdparty/bx/src/sort.o \
	$(OBJDIR)/thirdparty/bx/src/string.o \
	$(OBJDIR)/thirdparty/bx/src/thread.o \
	$(OBJDIR)/thirdparty/bx/src/timer.o \
	$(OBJDIR)/thirdparty/bx/src/url.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/thirdparty/bx/src \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(OBJDIRS) $(TARGETDIR) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LIBDEPS) $(EXTERNAL_LIBS) $(RESOURCES) $(OBJRESP) $(LDRESP) | $(TARGETDIR) $(OBJDIRS)
	@echo Archiving bx
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
endif
	$(SILENT) $(LINKCMD) $(LINKOBJS)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	@echo Creating $(@)
	-$(call MKDIR,$@)

clean:
	@echo Cleaning bx
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH) $(MAKEFILE) | $(OBJDIR)
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) -x c++-header $(DEFINES) $(INCLUDES) -o "$@" -c "$<"

$(GCH_OBJC): $(PCH) $(MAKEFILE) | $(OBJDIR)
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_OBJCPPFLAGS) -x objective-c++-header $(DEFINES) $(INCLUDES) -o "$@" -c "$<"
endif

ifneq (,$(OBJRESP))
$(OBJRESP): $(OBJECTS) | $(TARGETDIR) $(OBJDIRS)
	$(SILENT) echo $^
	$(SILENT) echo $^ > $@
endif

ifneq (,$(LDRESP))
$(LDRESP): $(LDDEPS) | $(TARGETDIR) $(OBJDIRS)
	$(SILENT) echo $^
	$(SILENT) echo $^ > $@
endif

$(OBJDIR)/thirdparty/bx/src/allocator.o: ../../../thirdparty/bx/src/allocator.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/bx.o: ../../../thirdparty/bx/src/bx.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/commandline.o: ../../../thirdparty/bx/src/commandline.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/crtnone.o: ../../../thirdparty/bx/src/crtnone.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/debug.o: ../../../thirdparty/bx/src/debug.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/dtoa.o: ../../../thirdparty/bx/src/dtoa.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/easing.o: ../../../thirdparty/bx/src/easing.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/file.o: ../../../thirdparty/bx/src/file.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/filepath.o: ../../../thirdparty/bx/src/filepath.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/hash.o: ../../../thirdparty/bx/src/hash.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/math.o: ../../../thirdparty/bx/src/math.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/mutex.o: ../../../thirdparty/bx/src/mutex.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/os.o: ../../../thirdparty/bx/src/os.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/process.o: ../../../thirdparty/bx/src/process.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/semaphore.o: ../../../thirdparty/bx/src/semaphore.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/settings.o: ../../../thirdparty/bx/src/settings.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/sort.o: ../../../thirdparty/bx/src/sort.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/string.o: ../../../thirdparty/bx/src/string.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/thread.o: ../../../thirdparty/bx/src/thread.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/timer.o: ../../../thirdparty/bx/src/timer.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bx/src/url.o: ../../../thirdparty/bx/src/url.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
  -include $(OBJDIR)/$(notdir $(PCH))_objc.d
endif
