# GNU Make project makefile autogenerated by GENie
ifndef config
  config=debug
endif

ifndef verbose
  SILENT = @
endif

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(MAKESHELL)))
  SHELLTYPE := posix
endif

ifeq (posix,$(SHELLTYPE))
  MKDIR = $(SILENT) mkdir -p "$(1)"
  COPY  = $(SILENT) cp -fR "$(1)" "$(2)"
  RM    = $(SILENT) rm -f "$(1)"
else
  MKDIR = $(SILENT) mkdir "$(subst /,\\,$(1))" 2> nul || exit 0
  COPY  = $(SILENT) copy /Y "$(subst /,\\,$(1))" "$(subst /,\\,$(2))"
  RM    = $(SILENT) del /F "$(subst /,\\,$(1))" 2> nul || exit 0
endif

CC  = gcc
CXX = g++
AR  = ar

ifndef RESCOMP
  ifdef WINDRES
    RESCOMP = $(WINDRES)
  else
    RESCOMP = windres
  endif
endif

MAKEFILE = bgfx.make

ifeq ($(config),debug)
  OBJDIR              = obj/Debug/bgfx
  TARGETDIR           = ../../../scripts
  TARGET              = $(TARGETDIR)/libbgfxDebug.a
  DEFINES            += -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS -D_DEBUG -DBGFX_CONFIG_DEBUG=1
  INCLUDES           += -I"../../../thirdparty/bx/include/compat/osx" -I"../../../thirdparty/bgfx/3rdparty" -I"../../../thirdparty/bx/include" -I"../../../thirdparty/bimg/include" -I"../../../thirdparty/bgfx/3rdparty/khronos" -I"../../../thirdparty/bgfx/include"
  ALL_CPPFLAGS       += $(CPPFLAGS) -MMD -MP -MP $(DEFINES) $(INCLUDES)
  ALL_ASMFLAGS       += $(ASMFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_CFLAGS         += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_CXXFLAGS       += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -std=c++14 -fno-rtti -fno-exceptions -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_OBJCFLAGS      += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_OBJCPPFLAGS    += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -std=c++14 -fno-rtti -fno-exceptions -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_RESFLAGS       += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS        += $(LDFLAGS) -L"../../../thirdparty/bx/scripts" -framework Cocoa -framework QuartzCore -framework OpenGL -weak_framework Metal -weak_framework MetalKit
  LIBDEPS            += ../../../thirdparty/bx/scripts/libbxDebug.a
  LDDEPS             += ../../../thirdparty/bx/scripts/libbxDebug.a
  LIBS               += $(LDDEPS)
  EXTERNAL_LIBS      +=
  LINKOBJS            = $(OBJECTS)
  LINKCMD             = $(AR)  -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/thirdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/thirdparty/bgfx/src/debug_renderdoc.o \
	$(OBJDIR)/thirdparty/bgfx/src/dxgi.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_eagl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_nsgl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/thirdparty/bgfx/src/nvapi.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_gnm.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_mtl.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_noop.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_nvn.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/thirdparty/bgfx/src/topology.o \
	$(OBJDIR)/thirdparty/bgfx/src/vertexdecl.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),release)
  OBJDIR              = obj/Release/bgfx
  TARGETDIR           = ../../../scripts
  TARGET              = $(TARGETDIR)/libbgfxRelease.a
  DEFINES            += -D__STDC_LIMIT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS -DNDEBUG
  INCLUDES           += -I"../../../thirdparty/bx/include/compat/osx" -I"../../../thirdparty/bgfx/3rdparty" -I"../../../thirdparty/bx/include" -I"../../../thirdparty/bimg/include" -I"../../../thirdparty/bgfx/3rdparty/khronos" -I"../../../thirdparty/bgfx/include"
  ALL_CPPFLAGS       += $(CPPFLAGS) -MMD -MP -MP $(DEFINES) $(INCLUDES)
  ALL_ASMFLAGS       += $(ASMFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_CFLAGS         += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_CXXFLAGS       += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -std=c++14 -fno-rtti -fno-exceptions -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_OBJCFLAGS      += $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_OBJCPPFLAGS    += $(CXXFLAGS) $(CFLAGS) $(ALL_CPPFLAGS) $(ARCH) -Wall -Wextra -ffast-math -fomit-frame-pointer -g -O3 -std=c++14 -fno-rtti -fno-exceptions -Wshadow -Wfatal-errors -msse2 -Wunused-value -Wundef
  ALL_RESFLAGS       += $(RESFLAGS) $(DEFINES) $(INCLUDES)
  ALL_LDFLAGS        += $(LDFLAGS) -L"../../../thirdparty/bx/scripts" -framework Cocoa -framework QuartzCore -framework OpenGL -weak_framework Metal -weak_framework MetalKit
  LIBDEPS            += ../../../thirdparty/bx/scripts/libbxRelease.a
  LDDEPS             += ../../../thirdparty/bx/scripts/libbxRelease.a
  LIBS               += $(LDDEPS)
  EXTERNAL_LIBS      +=
  LINKOBJS            = $(OBJECTS)
  LINKCMD             = $(AR)  -rcs $(TARGET)
  OBJECTS := \
	$(OBJDIR)/thirdparty/bgfx/src/bgfx.o \
	$(OBJDIR)/thirdparty/bgfx/src/debug_renderdoc.o \
	$(OBJDIR)/thirdparty/bgfx/src/dxgi.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_eagl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_egl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_glx.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_nsgl.o \
	$(OBJDIR)/thirdparty/bgfx/src/glcontext_wgl.o \
	$(OBJDIR)/thirdparty/bgfx/src/nvapi.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d11.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d12.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d9.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_gl.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_gnm.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_mtl.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_noop.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_nvn.o \
	$(OBJDIR)/thirdparty/bgfx/src/renderer_vk.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_dx9bc.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_dxbc.o \
	$(OBJDIR)/thirdparty/bgfx/src/shader_spirv.o \
	$(OBJDIR)/thirdparty/bgfx/src/topology.o \
	$(OBJDIR)/thirdparty/bgfx/src/vertexdecl.o \

  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJDIRS := \
	$(OBJDIR) \
	$(OBJDIR)/thirdparty/bgfx/src \

RESOURCES := \

.PHONY: clean prebuild prelink

all: $(OBJDIRS) $(TARGETDIR) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LIBDEPS) $(EXTERNAL_LIBS) $(RESOURCES) | $(TARGETDIR) $(OBJDIRS)
	@echo Archiving bgfx
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
endif
	$(SILENT) $(LINKCMD) $(LINKOBJS) 2>&1 > /dev/null | sed -e '/.o) has no symbols$$/d'
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
	-$(call MKDIR,$(TARGETDIR))

$(OBJDIRS):
	@echo Creating $(@)
	-$(call MKDIR,$@)

clean:
	@echo Cleaning bgfx
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH) $(MAKEFILE) | $(OBJDIR)
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) -x c++-header $(DEFINES) $(INCLUDES) -o "$@" -c "$<"

$(GCH_OBJC): $(PCH) $(MAKEFILE) | $(OBJDIR)
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_OBJCPPFLAGS) -x objective-c++-header $(DEFINES) $(INCLUDES) -o "$@" -c "$<"
endif

$(OBJDIR)/thirdparty/bgfx/src/bgfx.o: ../../../thirdparty/bgfx/src/bgfx.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/debug_renderdoc.o: ../../../thirdparty/bgfx/src/debug_renderdoc.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/dxgi.o: ../../../thirdparty/bgfx/src/dxgi.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/glcontext_eagl.o: ../../../thirdparty/bgfx/src/glcontext_eagl.mm $(GCH_OBJC) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_OBJCPPFLAGS) $(FORCE_INCLUDE_OBJC) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/glcontext_egl.o: ../../../thirdparty/bgfx/src/glcontext_egl.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/glcontext_glx.o: ../../../thirdparty/bgfx/src/glcontext_glx.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/glcontext_nsgl.o: ../../../thirdparty/bgfx/src/glcontext_nsgl.mm $(GCH_OBJC) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_OBJCPPFLAGS) $(FORCE_INCLUDE_OBJC) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/glcontext_wgl.o: ../../../thirdparty/bgfx/src/glcontext_wgl.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/nvapi.o: ../../../thirdparty/bgfx/src/nvapi.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d11.o: ../../../thirdparty/bgfx/src/renderer_d3d11.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d12.o: ../../../thirdparty/bgfx/src/renderer_d3d12.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_d3d9.o: ../../../thirdparty/bgfx/src/renderer_d3d9.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_gl.o: ../../../thirdparty/bgfx/src/renderer_gl.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_gnm.o: ../../../thirdparty/bgfx/src/renderer_gnm.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_mtl.o: ../../../thirdparty/bgfx/src/renderer_mtl.mm $(GCH_OBJC) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_OBJCPPFLAGS) $(FORCE_INCLUDE_OBJC) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_noop.o: ../../../thirdparty/bgfx/src/renderer_noop.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_nvn.o: ../../../thirdparty/bgfx/src/renderer_nvn.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/renderer_vk.o: ../../../thirdparty/bgfx/src/renderer_vk.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/shader.o: ../../../thirdparty/bgfx/src/shader.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/shader_dx9bc.o: ../../../thirdparty/bgfx/src/shader_dx9bc.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/shader_dxbc.o: ../../../thirdparty/bgfx/src/shader_dxbc.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/shader_spirv.o: ../../../thirdparty/bgfx/src/shader_spirv.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/topology.o: ../../../thirdparty/bgfx/src/topology.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

$(OBJDIR)/thirdparty/bgfx/src/vertexdecl.o: ../../../thirdparty/bgfx/src/vertexdecl.cpp $(GCH) $(MAKEFILE) | $(OBJDIR)/thirdparty/bgfx/src
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(ALL_CXXFLAGS) $(FORCE_INCLUDE) -o "$@" -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(OBJDIR)/$(notdir $(PCH)).d
  -include $(OBJDIR)/$(notdir $(PCH))_objc.d
endif
